Bug 2061426 - neuron FTBFS in Rawhide with python-setuptools 60+
Summary: neuron FTBFS in Rawhide with python-setuptools 60+
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: neuron
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.11 2033860 F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-03-07 14:25 UTC by Karolina Surma
Modified: 2022-05-03 17:39 UTC (History)
4 users (show)

Fixed In Version: neuron-8.0.2-3.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-03 17:39:44 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Karolina Surma 2022-03-07 14:25:07 UTC
Description of problem:

I'm working on integrating python-setuptools 60.x to Fedora Rawhide. 
This package failed in the impact check performed in Copr (https://copr.fedorainfracloud.org/coprs/ksurma/setuptools-60/package/neuron/), which was assessed to be an effect of setuptools' changes. 
It looks like the installation directory of neuron files has changed.
I've found an upstream issue about the change in general (https://github.com/neuronsimulator/nrn/issues/1605), but nothing addressing the data file which causes the build failure. 


Version-Release number of selected component (if applicable):
8.0.2-2.fc37

How reproducible:
Always with setuptools >= 60.x


Actual results:
Processing files: python3-neuron-8.0.2-2.fc37.x86_64
error: File not found: /builddir/build/BUILDROOT/neuron-8.0.2-2.fc37.x86_64/usr/lib/python3.10/site-packages/neuron


RPM build errors:
    File not found: /builddir/build/BUILDROOT/neuron-8.0.2-2.fc37.x86_64/usr/lib/python3.10/site-packages/neuron
Finish: rpmbuild neuron-8.0.2-2.fc37.src.rpm

the whole build logs: https://copr.fedorainfracloud.org/coprs/ksurma/setuptools-60/package/neuron/

Expected results:
Build succeeds

Additional info:
Apparently the problematic file is help_data.dat which according to the specfile belongs to sitelib, but it is installed to different directory:

running install_data
creating /builddir/build/BUILDROOT/neuron-8.0.2-2.fc37.x86_64/usr/neuron
copying /builddir/build/BUILD/nrn-8.0.2/share/lib/python/neuron/help_data.dat -> /builddir/build/BUILDROOT/neuron-8.0.2-2.fc37.x86_64/usr/neuron

Comment 1 Tomáš Hrnčiar 2022-04-21 14:15:21 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 37.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2022-05-02).

A week before the mass branching of Fedora 38 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 36 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-38/f-38-key-tasks.html

Comment 2 Fedora Update System 2022-05-03 17:36:58 UTC
FEDORA-2022-288a9148b3 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-288a9148b3

Comment 3 Fedora Update System 2022-05-03 17:39:44 UTC
FEDORA-2022-288a9148b3 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.